<?php

class MainHelper
{
    public static $plugin;
    public static $entry_handler;

    public static $plugin_name;

    public static $cfg;

    public static function static_init()
    {
        self::$cfg = HD::read_props_file("/config/ro_config.properties");
        if (!self::$cfg)
        {
            self::$cfg = HD::read_props_file(
                "/firmware/config/ro_config.properties");
        }
        if (!self::$cfg)
            self::$cfg = array();
    }

    public static function builtin_memory_folder_name()
    {
        return HD::arrget(self::$cfg, 'builtin_memory_folder_name', 'DuneHD');
    }
}

?>
